
DROP VIEW VIEWPVZONAMERCCR;

CREATE VIEW VIEWPVZONAMERCCR (EMPRESA, UNIDADE, UF, ZONA, MERCADO, STATUS, TIPOCLI, CLIENTE, TIPOREP, REPRESENTANTE, DATACAD, PEDIDO, STATUSPED, ITENS, QTDPEDIDA, QTDENTREGUE, SALDOQTD, VALORPEDBRT, VALORPEDLIQ, VALORENTBRT, VALORENTLIQ, VALORSALBRT, VALORSALLIQ) AS
SELECT VNDAPECD.APECD_EMPRESA,
       VNDAPECD.APECD_UNIDADE,
       SUPAEMPR.AEMPR_ESTADO,
       SUPADREP.ADREP_ZONA_ATUA,
       VNDAEMDF.AEMDF_MERCADO,
       SUPAEMPR.AEMPR_STATUS,
       VNDAPECD.APECD_TIPO_CLI,
       VNDAPECD.APECD_CLIENTE,
       VNDAPECD.APECD_TIPO_REPRE,
       VNDAPECD.APECD_REPRE,
       VNDAPECD.APECD_DATA_CADAST,
       VNDAPEPC.APEPC_PEDIDO,
       'A',
       COUNT(DISTINCT APEIT_COD_ITEM),
       SUM(VNDAPEPC.APEPC_QTD_PEDIDA),
       SUM(VNDAPEPC.APEPC_QTD_ENTREGUE),
       SUM(VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA)*(VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO)),
       SUM((VNDAPEPC.APEPC_QTD_ENTREGUE)*(VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO))
FROM VNDAPECD, VNDAPEIT, VNDAPEPC, SUPAEMPR, VNDAEMDF, SUPADREP WHERE 
     VNDAPECD.APECD_EMPRESA   = VNDAPEIT.APEIT_EMPRESA AND
     VNDAPECD.APECD_UNIDADE   = VNDAPEIT.APEIT_UNIDADE AND
     VNDAPECD.APECD_PEDIDO    = VNDAPEIT.APEIT_PEDIDO  AND
     VNDAPEPC.APEPC_EMPRESA   = VNDAPEIT.APEIT_EMPRESA AND 
     VNDAPEPC.APEPC_UNIDADE   = VNDAPEIT.APEIT_UNIDADE AND 
     VNDAPEPC.APEPC_PEDIDO    = VNDAPEIT.APEIT_PEDIDO  AND 
     VNDAPEPC.APEPC_LINHA     = VNDAPEIT.APEIT_LINHA   AND 
     VNDAPEPC.APEPC_STATUS   <> 'C' AND 
     VNDAPEPC.APEPC_STATUS   <> 'E' AND 
     VNDAPEPC.APEPC_STATUS   <> 'S' AND
     VNDAPECD.APECD_TIPO_CLI  = SUPAEMPR.AEMPR_TIPO AND
     VNDAPECD.APECD_CLIENTE   = SUPAEMPR.AEMPR_CODIGO AND
     VNDAPECD.APECD_TIPO_CLI  = VNDAEMDF.AEMDF_TIPO AND
     VNDAPECD.APECD_CLIENTE   = VNDAEMDF.AEMDF_CODIGO AND
     VNDAPECD.APECD_TIPO_REPRE = SUPADREP.ADREP_TIPO AND
     VNDAPECD.APECD_REPRE      = SUPADREP.ADREP_CODIGO 
GROUP BY VNDAPECD.APECD_EMPRESA,
         VNDAPECD.APECD_UNIDADE,
         SUPAEMPR.AEMPR_ESTADO,
         SUPADREP.ADREP_ZONA_ATUA,
         VNDAEMDF.AEMDF_MERCADO,
         SUPAEMPR.AEMPR_STATUS,
         VNDAPECD.APECD_TIPO_CLI,
         VNDAPECD.APECD_CLIENTE,
         VNDAPECD.APECD_TIPO_REPRE,
         VNDAPECD.APECD_REPRE,
         VNDAPECD.APECD_DATA_CADAST,
         VNDAPEPC.APEPC_PEDIDO
UNION ALL
SELECT VNDAPECD.APECD_EMPRESA,
       VNDAPECD.APECD_UNIDADE,
       SUPAEMPR.AEMPR_ESTADO,
       SUPADREP.ADREP_ZONA_ATUA,
       VNDAEMDF.AEMDF_MERCADO,
       SUPAEMPR.AEMPR_STATUS,
       VNDAPECD.APECD_TIPO_CLI,
       VNDAPECD.APECD_CLIENTE,
       VNDAPECD.APECD_TIPO_REPRE,
       VNDAPECD.APECD_REPRE,
       VNDAPECD.APECD_DATA_CADAST,
       VNDAPEPC.APEPC_PEDIDO,
       'E',
       COUNT(DISTINCT APEIT_COD_ITEM),
       SUM(VNDAPEPC.APEPC_QTD_PEDIDA),
       SUM(VNDAPEPC.APEPC_QTD_ENTREGUE),
       SUM(VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA)*(VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO)),
       SUM((VNDAPEPC.APEPC_QTD_ENTREGUE)*(VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO))
FROM VNDAPECD, VNDAPEIT, VNDAPEPC, SUPAEMPR, VNDAEMDF, SUPADREP WHERE 
     VNDAPECD.APECD_EMPRESA   = VNDAPEIT.APEIT_EMPRESA AND
     VNDAPECD.APECD_UNIDADE   = VNDAPEIT.APEIT_UNIDADE AND
     VNDAPECD.APECD_PEDIDO    = VNDAPEIT.APEIT_PEDIDO  AND
     VNDAPEPC.APEPC_EMPRESA   = VNDAPEIT.APEIT_EMPRESA AND 
     VNDAPEPC.APEPC_UNIDADE   = VNDAPEIT.APEIT_UNIDADE AND 
     VNDAPEPC.APEPC_PEDIDO    = VNDAPEIT.APEIT_PEDIDO  AND 
     VNDAPEPC.APEPC_LINHA     = VNDAPEIT.APEIT_LINHA   AND 
     VNDAPEPC.APEPC_STATUS    = 'E' AND 
     VNDAPECD.APECD_TIPO_CLI  = SUPAEMPR.AEMPR_TIPO AND
     VNDAPECD.APECD_CLIENTE   = SUPAEMPR.AEMPR_CODIGO AND
     VNDAPECD.APECD_TIPO_CLI  = VNDAEMDF.AEMDF_TIPO AND
     VNDAPECD.APECD_CLIENTE   = VNDAEMDF.AEMDF_CODIGO AND
     VNDAPECD.APECD_TIPO_REPRE = SUPADREP.ADREP_TIPO AND
     VNDAPECD.APECD_REPRE      = SUPADREP.ADREP_CODIGO 
GROUP BY VNDAPECD.APECD_EMPRESA,
         VNDAPECD.APECD_UNIDADE,
         SUPAEMPR.AEMPR_ESTADO,
         SUPADREP.ADREP_ZONA_ATUA,
         VNDAEMDF.AEMDF_MERCADO,
         SUPAEMPR.AEMPR_STATUS,
         VNDAPECD.APECD_TIPO_CLI,
         VNDAPECD.APECD_CLIENTE,
         VNDAPECD.APECD_TIPO_REPRE,
         VNDAPECD.APECD_REPRE,
         VNDAPECD.APECD_DATA_CADAST,
         VNDAPEPC.APEPC_PEDIDO
UNION ALL
SELECT VNDAPECD.APECD_EMPRESA,
       VNDAPECD.APECD_UNIDADE,
       SUPAEMPR.AEMPR_ESTADO,
       SUPADREP.ADREP_ZONA_ATUA,
       VNDAEMDF.AEMDF_MERCADO,
       SUPAEMPR.AEMPR_STATUS,
       VNDAPECD.APECD_TIPO_CLI,
       VNDAPECD.APECD_CLIENTE,
       VNDAPECD.APECD_TIPO_REPRE,
       VNDAPECD.APECD_REPRE,
       VNDAPECD.APECD_DATA_CADAST,
       VNDAPEPC.APEPC_PEDIDO,
       'T',
       COUNT(DISTINCT APEIT_COD_ITEM),
       SUM(VNDAPEPC.APEPC_QTD_PEDIDA),
       SUM(VNDAPEPC.APEPC_QTD_ENTREGUE),
       SUM(VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA)*(VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO)),
       SUM((VNDAPEPC.APEPC_QTD_ENTREGUE)*(VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO))
FROM VNDAPECD, VNDAPEIT, VNDAPEPC, SUPAEMPR, VNDAEMDF, SUPADREP WHERE 
     VNDAPECD.APECD_EMPRESA   = VNDAPEIT.APEIT_EMPRESA AND
     VNDAPECD.APECD_UNIDADE   = VNDAPEIT.APEIT_UNIDADE AND
     VNDAPECD.APECD_PEDIDO    = VNDAPEIT.APEIT_PEDIDO  AND
     VNDAPEPC.APEPC_EMPRESA   = VNDAPEIT.APEIT_EMPRESA AND 
     VNDAPEPC.APEPC_UNIDADE   = VNDAPEIT.APEIT_UNIDADE AND 
     VNDAPEPC.APEPC_PEDIDO    = VNDAPEIT.APEIT_PEDIDO  AND 
     VNDAPEPC.APEPC_LINHA     = VNDAPEIT.APEIT_LINHA   AND 
     VNDAPEPC.APEPC_STATUS   <> 'C' AND 
     VNDAPEPC.APEPC_STATUS   <> 'S' AND
     VNDAPECD.APECD_TIPO_CLI  = SUPAEMPR.AEMPR_TIPO AND
     VNDAPECD.APECD_CLIENTE   = SUPAEMPR.AEMPR_CODIGO AND
     VNDAPECD.APECD_TIPO_CLI  = VNDAEMDF.AEMDF_TIPO AND
     VNDAPECD.APECD_CLIENTE   = VNDAEMDF.AEMDF_CODIGO AND
     VNDAPECD.APECD_TIPO_REPRE = SUPADREP.ADREP_TIPO AND
     VNDAPECD.APECD_REPRE      = SUPADREP.ADREP_CODIGO 
GROUP BY VNDAPECD.APECD_EMPRESA,
         VNDAPECD.APECD_UNIDADE,
         SUPAEMPR.AEMPR_ESTADO,
         SUPADREP.ADREP_ZONA_ATUA,
         VNDAEMDF.AEMDF_MERCADO,
         SUPAEMPR.AEMPR_STATUS,
         VNDAPECD.APECD_TIPO_CLI,
         VNDAPECD.APECD_CLIENTE,
         VNDAPECD.APECD_TIPO_REPRE,
         VNDAPECD.APECD_REPRE,
         VNDAPECD.APECD_DATA_CADAST,
         VNDAPEPC.APEPC_PEDIDO;

EXEC sys.sp_addextendedproperty @name=N'COMMENT', @value=N'PV POR UF DO CLIENTE/ZONA DO REPRESENTANTE/MERCADO DO CLIENTE/STATUS DO CLIENTE/CLIENTE/REPRESENTANTE' ,@level0type=N'SCHEMA', @level0name=N'dbo', @level1type=N'VIEW', @level1name=N'VIEWPVZONAMERCCR';
