
DROP VIEW VIEWPVZONAREPRE;

CREATE VIEW VIEWPVZONAREPRE ( EMPRESA, REPRESENTANTE, DESCREPRESENTANTE, ZONA, STATUS, DATACAD, PEDIDO, DATAPREV, QTDPEDIDA, QTDENTREGUE, SALDOQTD, VALORPEDBRT, VALORPEDLIQ, VALORENTBRT, VALORENTLIQ, VALORSALBRT, VALORSALLIQ) AS
SELECT VNDAPECD.APECD_EMPRESA,
       VNDAPECD.APECD_REPRE,
       SUPAEMPR.AEMPR_RAZAO_SOCIAL,
       SUPADREP.ADREP_ZONA_ATUA,
       'A', 
       VNDAPECD.APECD_DATA_CADAST,
       VNDAPECD.APECD_PEDIDO, 
       VNDAPEPC.APEPC_DATA_PREV,
       SUM(VNDAPEPC.APEPC_QTD_PEDIDA),
       SUM(VNDAPEPC.APEPC_QTD_ENTREGUE),
       SUM(VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA)*(VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO)),
       SUM((VNDAPEPC.APEPC_QTD_ENTREGUE)*(VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO))
    from VNDAPECD,VNDAPEPC, SUPAEMPR, SUPADREP
    where VNDAPECD.APECD_EMPRESA =  VNDAPEPC.APEPC_EMPRESA AND
          VNDAPECD.APECD_UNIDADE =  VNDAPEPC.APEPC_UNIDADE AND
          VNDAPECD.APECD_PEDIDO  =  VNDAPEPC.APEPC_PEDIDO AND
          VNDAPEPC.APEPC_STATUS <> 'C'   AND    
          VNDAPEPC.APEPC_STATUS <> 'E'   AND           
          VNDAPEPC.APEPC_STATUS <> 'S' AND       
          VNDAPECD.APECD_TIPO_REPRE = SUPAEMPR.AEMPR_TIPO AND
          VNDAPECD.APECD_REPRE      = SUPAEMPR.AEMPR_CODIGO AND
          VNDAPECD.APECD_TIPO_REPRE = SUPADREP.ADREP_TIPO AND
          VNDAPECD.APECD_REPRE      = SUPADREP.ADREP_CODIGO 
    GROUP BY VNDAPECD.APECD_EMPRESA,    
             VNDAPECD.APECD_REPRE,
             SUPAEMPR.AEMPR_RAZAO_SOCIAL,
             SUPADREP.ADREP_ZONA_ATUA,
             VNDAPECD.APECD_DATA_CADAST,
             VNDAPECD.APECD_PEDIDO, 
             VNDAPEPC.APEPC_DATA_PREV
    UNION ALL
SELECT VNDAPECD.APECD_EMPRESA,
       VNDAPECD.APECD_REPRE,
       SUPAEMPR.AEMPR_RAZAO_SOCIAL,
       SUPADREP.ADREP_ZONA_ATUA,
       'E', 
       VNDAPECD.APECD_DATA_CADAST,
       VNDAPECD.APECD_PEDIDO, 
       VNDAPEPC.APEPC_DATA_PREV,
       SUM(VNDAPEPC.APEPC_QTD_PEDIDA),
       SUM(VNDAPEPC.APEPC_QTD_ENTREGUE),
       SUM(VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA)*(VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO)),
       SUM((VNDAPEPC.APEPC_QTD_ENTREGUE)*(VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO))
    from VNDAPECD,VNDAPEPC, SUPAEMPR, SUPADREP
    where VNDAPECD.APECD_EMPRESA =  VNDAPEPC.APEPC_EMPRESA AND
          VNDAPECD.APECD_UNIDADE =  VNDAPEPC.APEPC_UNIDADE AND
          VNDAPECD.APECD_PEDIDO  =  VNDAPEPC.APEPC_PEDIDO AND
          VNDAPEPC.APEPC_STATUS  = 'E'   AND           
          VNDAPECD.APECD_TIPO_REPRE = SUPAEMPR.AEMPR_TIPO AND
          VNDAPECD.APECD_REPRE      = SUPAEMPR.AEMPR_CODIGO AND
          VNDAPECD.APECD_TIPO_REPRE = SUPADREP.ADREP_TIPO AND
          VNDAPECD.APECD_REPRE      = SUPADREP.ADREP_CODIGO 
    GROUP BY VNDAPECD.APECD_EMPRESA,    
             VNDAPECD.APECD_REPRE,
             SUPAEMPR.AEMPR_RAZAO_SOCIAL,
             SUPADREP.ADREP_ZONA_ATUA,
             VNDAPECD.APECD_DATA_CADAST,
             VNDAPECD.APECD_PEDIDO, 
             VNDAPEPC.APEPC_DATA_PREV
    UNION ALL
SELECT VNDAPECD.APECD_EMPRESA,
       VNDAPECD.APECD_REPRE,
       SUPAEMPR.AEMPR_RAZAO_SOCIAL,
       SUPADREP.ADREP_ZONA_ATUA,
       'T', 
       VNDAPECD.APECD_DATA_CADAST,
       VNDAPECD.APECD_PEDIDO, 
       VNDAPEPC.APEPC_DATA_PREV,
       SUM(VNDAPEPC.APEPC_QTD_PEDIDA),
       SUM(VNDAPEPC.APEPC_QTD_ENTREGUE),
       SUM(VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA)*(VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO)),
       SUM((VNDAPEPC.APEPC_QTD_ENTREGUE)*(VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO))
    from VNDAPECD,VNDAPEPC, SUPAEMPR, SUPADREP
    where VNDAPECD.APECD_EMPRESA =  VNDAPEPC.APEPC_EMPRESA AND
          VNDAPECD.APECD_UNIDADE =  VNDAPEPC.APEPC_UNIDADE AND
          VNDAPECD.APECD_PEDIDO  =  VNDAPEPC.APEPC_PEDIDO AND
          VNDAPEPC.APEPC_STATUS <> 'C'   AND    
          VNDAPEPC.APEPC_STATUS <> 'S' AND       
          VNDAPECD.APECD_TIPO_REPRE = SUPAEMPR.AEMPR_TIPO AND
          VNDAPECD.APECD_REPRE      = SUPAEMPR.AEMPR_CODIGO AND
          VNDAPECD.APECD_TIPO_REPRE = SUPADREP.ADREP_TIPO AND
          VNDAPECD.APECD_REPRE      = SUPADREP.ADREP_CODIGO 
    GROUP BY VNDAPECD.APECD_EMPRESA,    
             VNDAPECD.APECD_REPRE,
             SUPAEMPR.AEMPR_RAZAO_SOCIAL,
             SUPADREP.ADREP_ZONA_ATUA,
             VNDAPECD.APECD_DATA_CADAST,
             VNDAPECD.APECD_PEDIDO, 
             VNDAPEPC.APEPC_DATA_PREV
    UNION ALL
SELECT VNDAPECD.APECD_EMPRESA,
       VNDAPECD.APECD_REPRE,
       SUPAEMPR.AEMPR_RAZAO_SOCIAL,
       SUPADREP.ADREP_ZONA_ATUA,
       'C', 
       VNDAPECD.APECD_DATA_CADAST,
       VNDAPECD.APECD_PEDIDO, 
       VNDAPEPC.APEPC_DATA_PREV,
       SUM(VNDAPEPC.APEPC_QTD_PEDIDA),
       SUM(VNDAPEPC.APEPC_QTD_ENTREGUE),
       SUM(VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA)*(VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO)),
       SUM((VNDAPEPC.APEPC_QTD_ENTREGUE)*(VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC)),
       SUM((VNDAPEPC.APEPC_QTD_PEDIDA-VNDAPEPC.APEPC_QTD_ENTREGUE)*
           (VNDAPEPC.APEPC_VALOR_ENC-VNDAPEPC.APEPC_VLR_DESCONTO))
    from VNDAPECD,VNDAPEPC, SUPAEMPR, SUPADREP
    where VNDAPECD.APECD_EMPRESA =  VNDAPEPC.APEPC_EMPRESA AND
          VNDAPECD.APECD_UNIDADE =  VNDAPEPC.APEPC_UNIDADE AND
          VNDAPECD.APECD_PEDIDO  =  VNDAPEPC.APEPC_PEDIDO AND
          VNDAPEPC.APEPC_STATUS  = 'C'   AND           
          VNDAPECD.APECD_TIPO_REPRE = SUPAEMPR.AEMPR_TIPO AND
          VNDAPECD.APECD_REPRE      = SUPAEMPR.AEMPR_CODIGO AND
          VNDAPECD.APECD_TIPO_REPRE = SUPADREP.ADREP_TIPO AND
          VNDAPECD.APECD_REPRE      = SUPADREP.ADREP_CODIGO 
    GROUP BY VNDAPECD.APECD_EMPRESA,    
             VNDAPECD.APECD_REPRE,
             SUPAEMPR.AEMPR_RAZAO_SOCIAL,
             SUPADREP.ADREP_ZONA_ATUA,
             VNDAPECD.APECD_DATA_CADAST,
             VNDAPECD.APECD_PEDIDO, 
             VNDAPEPC.APEPC_DATA_PREV;

EXEC sys.sp_addextendedproperty @name=N'COMMENT', @value=N'PREVISAO DE VENDAS POR ZONA/REPRESENTANTE/STATUS DO PEDIDO DATA CADASTRO/PREVISTA' ,@level0type=N'SCHEMA', @level0name=N'dbo', @level1type=N'VIEW', @level1name=N'VIEWPVZONAREPRE';
